~singpolyma/network-protocol-xmpp

network-protocol-xmpp/network-protocol-xmpp.cabal -rw-r--r-- 1.6 KiB
Update to work with network 3.0
Purge OverloadedStrings
Not compatible with 3.0 network package
Add Internal module
Less warnings, use Haskell2010
Prepare for switching maintainer
Remove call to TLS.setPriorities, because the underlying libgnutls
function has been removed in recent upstream releases.

TLS connections seem to work fine without this call (tested with
talk.google.com), so I don't know if it was ever even needed.

Bump version to 0.4.8.
Bump version to 0.4.7.
 Remove maximum dependency version on text.

Bump version to 0.4.6.
23ef8472 — John Millikin 9 years ago
Update source repository locations. Bump version to 0.4.5.
6daf5960 — John Millikin 9 years ago
Bump version to 0.4.4.
a3bdf940 — John Millikin 9 years ago
Require haskell-gnutls >= 0.1.4, because earlier versions crash when
credentials are used as they are in XMPP/Client/Handle.hs .
0a18d841 — John Millikin 9 years ago
Remove maximum dependency versions for bytestring and network.
3c421e30 — John Millikin 10 years ago
Bump version to 0.4.3.
520314c5 — John Millikin 10 years ago
Minor cleanups. Remove maximum version of "transformers" dependency.
6304bac2 — John Millikin 10 years ago
Clean up Cabal file.

Bump package version to 0.4.1.
1ab0aa09 — John Millikin 10 years ago
Quick-n-dirty port to updated xml-types and libxml-sax.
3be80c74 — John Millikin 11 years ago
Version 0.3.3
Next